Importing .sat to Revit

Hi everyone,

I’m a complete novice at Dynamo. I’ve created this script (?) by looking at examples. It looks logical to me but when I run it all I get is what looks to be a bunch of voids? See screenshots.

Currently I’m just trying to get one object from Rhino into Revit. Ultimately I would like to get my whole Rhino model into Revit to document it.

Any help with this first step would be appreciated.!!

try the Rhinamo package, it might help you out

Another screenshot

jon.dyn (12.2 KB)

With the package Rhynamo you can import 3dm files directly and have control over which Layers you want.
Start by creating a new Conceptual Mass or Generic Model family

Hi @jon.smart,

I think the solution by @Marcel_Rijsmus looks like the best solution (from Rhino).
But to your initial question, it could also be a scaling problem.

Kind regards,
Mark

1 Like

Hi Marcel,

Thanks for your response. I’ve been trying the Rhynamo method and not having much success.

As a test I created a new generic model family and used the Import CAD tool to import the Rhino model directly. This worked perfectly. So the Rhino model should be OK.
I then used you dynamo script and set the correct layer but get the following warning

Warning: RhinoTranslationToDS.Rhino_AllGeometryToDS operation failed.
Method not found: ‘Autodesk.DesignScript.Geometry.PolyCurve Autodesk.DesignScript.Geometry.PolyCurve.ByJoinedCurves(System.Collections.Generic.IEnumerable`1<Autodesk.DesignScript.Geometry.Curve>)’.

Hi Mark,

Thanks for replying also. I added a scale as you suggested and this did improve things but I’m still not getting a solid, I can’t actually select what ever this is. I tried adding a string node with solid to the isVoid to see if that made a difference but it didn’t. Here’s a screenshot of what is coming in. Not sure what all the red boxes are but they seem to come in at 0,0,0.

Hi,

  1. to be sure: you have to run the “Springs.FamilyInstance.ByGeometry” node from the project environment.
  2. You have to attach a “boolean” node (set to false) to the IsVoid input.
  3. The name of the material should be of a material that is available inside the family template.
  4. It is true the “Springs.FamilyInstance.ByGeometry” places an instance of every family you create at 0,0,0 of the project. You can delete them and place them manualy if you like.

PS. You can also use the OOTB “FamilyType.ByGeometry” node, it is almost identical.


I hope that helps

1 Like

Ahhhhhhh that’s where I was going wrong. I was mixing up the Rhynamo method and the sat method. I was trying to bake it into a generic model not a project file! Thanks that worked perfect!
Now to test a larger portion of my model.

Thanks!

Sweet! It worked. Just one more question (for now). On the initial import there are what appears to be an orange surface as well. But if I save and reopen the model this all disappears. Is it just part of the dynamo procedure? Anything to be concerned with?

Thanks again.

It’s just a background preview of Geometry. It appears while you run any geometry in dynamo. You can switch on or off from here:

1 Like

Thanks Kulkul.

Hi Marcel,

Why would the RhinoObjects be empty? My model contains closed valid polysurfaces. I was hoping to be able to use the Rhino object Name to create generic models for the objects so that any changes made to the Rhino file can be pushed through to update the generic models. If that makes sense.

@jon.smart

I’m sorry, i don’t work with Rhino, so even if you upload the file i can not tell you.

1 Like

Ahhh seems I’m not the only one with this issue. Looks like Rhynamo is not working with Dynamo 2.0.